SoundexUtils (Encode/Decode Utilities (Version 1.10))
Date: 2018-05-06

org.apache.commons.codec.language

## Class SoundexUtils

- java.lang.Object
- - org.apache.commons.codec.language.SoundexUtils

-     final class SoundexUtils
      extends java.lang.Object

  Utility methods for `Soundex` and `RefinedSoundex` classes.

  This class is immutable and thread-safe.

  Since:
    1.3
  Version:
    $Id: SoundexUtils.java 1429868 2013-01-07 16:08:05Z ggregory $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundexUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `clean(java.lang.String str)` Cleans up the input string before Soundex processing by only returning upper case letters.
    `(package private) static int` | `difference(StringEncoder encoder, java.lang.String s1, java.lang.String s2)` Encodes the Strings and returns the number of characters in the two encoded Strings that are the same.
    `(package private) static int` | `differenceEncoded(java.lang.String es1, java.lang.String es2)` Returns the number of characters in the two Soundex encoded Strings that are the same.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoundexUtils

          SoundexUtils()

  - ### Method Detail

    - #### clean

          static java.lang.String clean(java.lang.String str)

      Cleans up the input string before Soundex processing by only returning upper case letters.
      Parameters:
        `str` - The String to clean.
      Returns:
        A clean String.

    - #### difference

          static int difference(StringEncoder encoder,
                       java.lang.String s1,
                       java.lang.String s2)
                         throws EncoderException

      Encodes the Strings and returns the number of characters in the two encoded Strings that are the same.
      - For Soundex, this return value ranges from 0 through 4: 0 indicates little or no similarity, and 4 indicates strong similarity or identical values.
      - For refined Soundex, the return value can be greater than 4.
      Parameters:
        `encoder` - The encoder to use to encode the Strings.
        `s1` - A String that will be encoded and compared.
        `s2` - A String that will be encoded and compared.
      Returns:
        The number of characters in the two Soundex encoded Strings that are the same.
      Throws:
        `EncoderException` - if an error occurs encoding one of the strings
      See Also:
        `differenceEncoded(String,String)`, MS T-SQL DIFFERENCE

    - #### differenceEncoded

          static int differenceEncoded(java.lang.String es1,
                              java.lang.String es2)

      Returns the number of characters in the two Soundex encoded Strings that are the same.
      - For Soundex, this return value ranges from 0 through 4: 0 indicates little or no similarity, and 4 indicates strong similarity or identical values.
      - For refined Soundex, the return value can be greater than 4.
      Parameters:
        `es1` - An encoded String.
        `es2` - An encoded String.
      Returns:
        The number of characters in the two Soundex encoded Strings that are the same.
      See Also:
        MS T-SQL DIFFERENCE

commons-codec version 1.10 - Copyright © 2002-2018 - Apache Software Foundation